import { DependencyTree, FileToDeps, Path } from '..';
import { FileProcessor } from '../file_processor';
export declare function extractJsImports(content: string): Set<string>;
export declare class JavascriptFileProcessor implements FileProcessor {
    match(file: Path): boolean;
    supportedFileTypes(): string[];
    /**
     * @inheritDoc
     */
    process(file: Path, contents: string, missing: FileToDeps, files: ReadonlyArray<Path>, dependencyTree: DependencyTree): Promise<Set<Path>>;
}
