import { DependencyTree, FileToDeps, Path } from '../';
import { FileProcessor } from '../file_processor';
export declare class CssFileProcessor implements FileProcessor {
    process(file: Path, contents: string, missing: FileToDeps, files: ReadonlyArray<Path>, dependencyTree: DependencyTree): Promise<Set<Path>>;
    match(file: Path): boolean;
    supportedFileTypes(): string[];
}
